Loading...
Searching...
No Matches
IPv6 only
Infrastructure » IP address handling

## Macros

#define | ip_2_ip6(ipaddr)
#define | IP6_ADDR_ANY (&ip6_addr_any)
#define | IP6_ADDR_ANY6 (ip_2_ip6(&ip6_addr_any))

## Detailed Description

## Macro Definition Documentation

## IP6_ADDR_ANY

#define IP6_ADDR_ANY (&ip6_addr_any)

IP6_ADDR_ANY can be used as a fixed ip_addr_t for the IPv6 wildcard address

## IP6_ADDR_ANY6

#define IP6_ADDR_ANY6 (ip_2_ip6(&ip6_addr_any))

IP6_ADDR_ANY6 can be used as a fixed ip6_addr_t for the IPv6 wildcard address

## ip_2_ip6

#define ip_2_ip6 | ( |  | ipaddr | ) |

Value:
(&((ipaddr)->u_addr.ip6))

Convert generic ip address to specific protocol version